Bug 1032210 (CVE-2013-6368) - CVE-2013-6368 kvm: cross page vapic_addr access
Summary: CVE-2013-6368 kvm: cross page vapic_addr access
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-6368
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20131212,repo...
Depends On: 1032214 1032215 1032219 1032220 1042090 1042092 1053191
Blocks: 1030995
TreeView+ depends on / blocked
 
Reported: 2013-11-19 17:38 UTC by Petr Matousek
Modified: 2019-06-08 19:47 UTC (History)
21 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-12 19:02:28 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:1801 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2013-12-13 00:23:10 UTC
Red Hat Product Errata RHSA-2014:0163 normal SHIPPED_LIVE Important: kvm security update 2014-02-12 23:23:00 UTC
Red Hat Product Errata RHSA-2014:0284 normal SHIPPED_LIVE Important: kernel security and bug fix update 2014-03-11 21:07:13 UTC

Description Petr Matousek 2013-11-19 17:38:48 UTC
In kvm_lapic_sync_from_vapic and kvm_lapic_sync_to_vapic there is the potential to corrupt kernel memory if userspace provides vapic_addr address that is at the end of a page.

An unprivileged local user could use this flaw to crash the system or, potentially, escalate their privileges on the system.

Acknowledgements:

Red Hat would like to thank Andrew Honig of Google for reporting this issue

Comment 1 Petr Matousek 2013-11-19 17:44:29 UTC
Statement:

This issue did not affect the versions of Linux kernel as shipped with Red Hat Enterprise MRG 2 as they did not provide support for the KVM subsystem.

Comment 5 errata-xmlrpc 2013-12-12 19:26:10 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:1801 https://rhn.redhat.com/errata/RHSA-2013-1801.html

Comment 7 Petr Matousek 2013-12-12 20:55:09 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1042090]

Comment 8 Fedora Update System 2013-12-21 02:14:28 UTC
kernel-3.12.5-200.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2013-12-21 02:24:15 UTC
kernel-3.12.5-302.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 errata-xmlrpc 2014-02-12 18:25:13 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2014:0163 https://rhn.redhat.com/errata/RHSA-2014-0163.html

Comment 12 errata-xmlrpc 2014-03-11 17:08:28 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6.4 EUS - Server and Compute Node Only

Via RHSA-2014:0284 https://rhn.redhat.com/errata/RHSA-2014-0284.html


Note You need to log in before you can comment on or make changes to this bug.